package com.ruoyi.system.domain.record;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 用户变更后信息表
 * @author 13560
 * @TableName sys_user_after
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysUserAfter implements Serializable {
    /**
     * ID
     */
    @TableId
    private String afterId;

    /**
     * 用户昵称
     */
    private String userName;

    /**
     * 手机号码
     */
    private String phonenumber;

    /**
     * 用户性别（0男 1女 2未知）
     */
    private String sex;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 籍贯
     */
    private String userarea;

    /**
     * 政治面貌
     */
    private String politics;

    /**
     * 涉密程度
     */
    private String shemichengdu;

    /**
     * 是否持有护照和港澳通行证
     */
    private String havePassport;

    /**
     * 出入境备案
     */
    private String entryexitFiling;

    /**
     * 身份证号
     */
    private String cerno;

    /**
     * 用户id
     */
    private Long userId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}