package com.ruoyi.system.service.carrier.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.system.domain.carrier.TdCarrier;
import com.ruoyi.system.mapper.carrier.TdCarrierMapper;
import com.ruoyi.system.mapper.place.TdPlaceMapper;
import com.ruoyi.system.service.carrier.TdCarrierService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
* @author 13560
* @description 针对表【td_carrier(载体下发)】的数据库操作Service实现
* @createDate 2024-08-21 09:44:38
*/
@Service
public class TdCarrierServiceImpl extends ServiceImpl<TdCarrierMapper, TdCarrier>
    implements TdCarrierService {

    @Resource
    private TdCarrierMapper carrierMapper;

    @Override
    public List<TdCarrier> selectTdCarrierList(TdCarrier tdCarrier) {
        return carrierMapper.selectTdCarrierList(tdCarrier);
    }

    @Override
    public List<TdCarrier> selectTdCarrierUpdateList(TdCarrier tdCarrier) {
        return carrierMapper.selectTdCarrierUpdateList(tdCarrier);
    }
}




